## django-maintenancemode 0.11.7+git221001

=== example/requirements.txt ===
django
django-appconf
ipy

## django-maintenancemode 0.11.2

=== debian/changelog ===
django-maintenancemode (0.11.2-3) unstable; urgency=medium

  * Add missing autopkgtest depends

 -- Scott Kitterman <scott@kitterman.com>  Sat, 19 Jan 2019 10:01:05 -0500

django-maintenancemode (0.11.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout

  [ Scott Kitterman ]
  * Add d/p/0001-Add-tests-from-upstream-Git.patch so we have tests to run
  * Execute tests during build
  * Add autopkgtest
  * Bump standards-version to 4.3.0 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 18 Jan 2019 19:06:44 -0500

django-maintenancemode (0.11.2-1) unstable; urgency=medium

  * Initial release. (Closes: #843889)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 10 Nov 2016 09:08:10 -0500

=== debian/control ===
Source: django-maintenancemode
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 python-all,
 python-setuptools,
 python-django,
 python-django-appconf,
 python-ipy,
 python3-all,
 python3-setuptools,
 python3-django,
 python3-django-appconf,
 python3-ipy,
Standards-Version: 4.3.0
Homepage: https://github.com/shanx/django-maintenancemode
Vcs-Git: https://salsa.debian.org/python-team/modules/django-maintenancemode.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-maintenancemode

Package: python-django-maintenancemode
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Description: django module that sets a site down for maintenance (Python 2)
 Django Maintenancemode is a middleware that allows you to temporarily
 shutdown your site for maintenance work.
 .
 Logged in users having staff credentials can still fully use the site as can
 users visiting the site from an IP address defined in Django's
 ``INTERNAL_IPS``.
 .
 This is the Python 2 version of the package.

Package: python3-django-maintenancemode
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: django module that sets a site down for maintenance (Python 3)
 Django Maintenancemode is a middleware that allows you to temporarily
 shutdown your site for maintenance work.
 .
 Logged in users having staff credentials can still fully use the site as can
 users visiting the site from an IP address defined in Django's
 ``INTERNAL_IPS``.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-maintenancemode
build3vers := $(shell py3versions -sv)

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	echo "-- running tests for python2.7 --"
	python setup.py test
	set -e && for i in $(build3vers); do \
          echo "-- running tests for "$$i" --" ; \
	  python$$i setup.py test ;\
	done
endif

=== debian/tests/control ===
Tests: py2 py3
Depends: @, python, python-setuptools, python-django, python-django, python-django-appconf, python-ipy, python3-all, python3-setuptools, python3-django, python3-django, python3-django-appconf, python3-ipy
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://pypi.debian.net/django-maintenancemode/django-maintenancemode-([0-9][0-9\.\-]*).tar.gz

## django-maintenancemode 0.11.3

=== debian/changelog ===
django-maintenancemode (0.11.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Scott Kitterman ]
  * New upstream release
  * Add upstream signing key and update debian/watch
  * Remove python-django-maintenancemode binary, only python3 is supported by
    Django now
  * Add d/p/0002-Restore-missing-CHANGES.rst.patch so that the source is
    complete and the package builds
  * Add python3-django-setuptest to build-depends/test depends
  * Update d/p/0001-Add-tests-from-upstream-Git.patch for upstream changes

 -- Scott Kitterman <scott@kitterman.com>  Fri, 26 Jul 2019 18:48:41 -0400

=== debian/control ===
Source: django-maintenancemode
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper-compat (= 9),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-django,
 python3-django-appconf,
 python3-django-setuptest,
 python3-ipy,
Standards-Version: 4.4.0
Homepage: https://github.com/shanx/django-maintenancemode
Vcs-Git: https://salsa.debian.org/python-team/modules/django-maintenancemode.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/django-maintenancemode

Package: python3-django-maintenancemode
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Description: django module that sets a site down for maintenance (Python 3)
 Django Maintenancemode is a middleware that allows you to temporarily
 shutdown your site for maintenance work.
 .
 Logged in users having staff credentials can still fully use the site as can
 users visiting the site from an IP address defined in Django's
 ``INTERNAL_IPS``.
 .
 This is the Python 3 version of the package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-maintenancemode
build3vers := $(shell py3versions -sv)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	set -e && for i in $(build3vers); do \
          echo "-- running tests for "$$i" --" ; \
	  python$$i setup.py test ;\
	done
endif

=== debian/tests/control ===
Tests: py3
Depends: @, python3-all, python3-setuptools, python3-django, python3-django, python3-django-appconf, python3-django-setuptest, python3-ipy
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://pypi.debian.net/django-maintenancemode/django-maintenancemode-([0-9][0-9\.\-]*).tar.gz

## django-maintenancemode 0.11.7

=== debian/changelog ===
django-maintenancemode (0.11.7-1) unstable; urgency=medium

  * New upstream release
  * Run autopkgtest for all supported python versions

 -- Scott Kitterman <scott@kitterman.com>  Mon, 06 Dec 2021 11:10:17 -0500

django-maintenancemode (0.11.6-1) unstable; urgency=medium

  * Team upload

  [ Scott Kitterman ]
  * Update debian/copyright
  * Add python3-django to depends

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Carsten Schoenert ]
  * [4480245] d/gbp.conf: Adjust configuration for debian/master
  * [48aa4f9] New upstream version 0.11.6
  * [7072bc7] Rebuild patch queue from patchqueue branch
    Added patches:
    0001-Fix-deprecation-warning-for-django.conf.urls.url.patch
    0002-Adjust-test-setup-to-work-with-Django-3.patch
    Removed patches (included upstream):
    0001-Add-tests-from-upstream-Git.patch
    0002-Restore-missing-CHANGES.rst.patch
  * [326220b] dh_auto_test: Adjust call to get test working again
  * [8447370] autopkgtest: Adjust test setup to work through pytest
  * [457d74f] d/u/signing-key.asc: Removed due no signed releases
  * [0309f06] d/watch: Update to version 4
  * [e2745b7] d/control: Update Standards-Version to 4.6.0
    No further changes needed.
  * [16433d5] d/control: Adding entry Rules-Requires-Root: no
  * [7bbbbc7] d/control: Bump debhelper version to 13

 -- Carsten Schoenert <c.schoenert@t-online.de>  Wed, 29 Sep 2021 14:56:10 +0200

=== debian/control ===
Source: django-maintenancemode
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Scott Kitterman <scott@kitterman.com>
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-django,
 python3-django-appconf,
 python3-django-setuptest,
 python3-ipy,
 python3-pytest-django,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/shanx/django-maintenancemode
Vcs-Git: https://salsa.debian.org/python-team/packages/django-maintenancemode.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/django-maintenancemode

Package: python3-django-maintenancemode
Architecture: all
Depends:
 python3-django,
 ${misc:Depends},
 ${python3:Depends}
Description: django module that sets a site down for maintenance (Python 3)
 Django Maintenancemode is a middleware that allows you to temporarily
 shutdown your site for maintenance work.
 .
 Logged in users having staff credentials can still fully use the site as can
 users visiting the site from an IP address defined in Django's
 ``INTERNAL_IPS``.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
# watch file for django-maintenancemode

version=4

opts="mode=git, \
      filenamemangle=s/.+\/(\d\S*)\.tar\.gz/django-maintenancemode-$1.tar.gz/ \
      uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/; \
      dversionmangle=s/\+ds(\.?\d+)?$//" \
https://github.com/shanx/django-maintenancemode.git \
      refs/tags/([\d\.]+)

## django-maintenancemode 0.11.7+git221001

=== debian/changelog ===
django-maintenancemode (0.11.7+git221001-5) unstable; urgency=medium

  * QA Upload
  * Fix Vcs URL
  * Remove build dependency on python3-django-setuptest
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 14 Jan 2025 21:04:00 +0100

django-maintenancemode (0.11.7+git221001-4) unstable; urgency=medium

  * QA Upload
  * remove undeclared six build dep, fix FTBFS (Closes: #1066752)

 -- Alexandre Detiste <tchet@debian.org>  Sun, 17 Mar 2024 13:36:12 +0100

django-maintenancemode (0.11.7+git221001-3) unstable; urgency=medium

  * Orphan the package, see #1061447
    - Update maintainer and remove myself from uploaders
    - Point Vcs-* at the new location
  * Add d/source/options extend-diff-ignore to fix dpkg-source failure due to
    local changes (python package metadata regeneration) (Closes: #1044286)

 -- Scott Kitterman <scott@kitterman.com>  Wed, 24 Jan 2024 13:24:05 -0500

django-maintenancemode (0.11.7+git221001-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 23 Nov 2022 19:36:50 +0000

django-maintenancemode (0.11.7+git221001-1) unstable; urgency=medium

  * New upstream git snapshot (Closes: #1013510)
  * Delete debian/patches,
    0001-Fix-deprecation-warning-for-django.conf.urls.url.patch and
    0002-Adjust-test-setup-to-work-with-Django-3.patch incorporated upstream
  * Bump standards-version to 4.6.1 without further change

 -- Scott Kitterman <scott@kitterman.com>  Fri, 14 Oct 2022 11:37:05 -0400

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,21 @@
 Source: django-maintenancemode
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Scott Kitterman <scott@kitterman.com>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-setuptools,
  python3-django,
  python3-django-appconf,
- python3-django-setuptest,
  python3-ipy,
  python3-pytest-django,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/shanx/django-maintenancemode
-Vcs-Git: https://salsa.debian.org/python-team/packages/django-maintenancemode.git
-Vcs-Browser: https://salsa.debian.org/python-team/packages/django-maintenancemode
+Vcs-Git: https://salsa.debian.org/debian/django-maintenancemode.git
+Vcs-Browser: https://salsa.debian.org/debian/django-maintenancemode
 
 Package: python3-django-maintenancemode
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-maintenancemode

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	rm -rf build

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="PYTHONPATH=. {interpreter} -m pytest"

=== debian/tests/control ===
Tests: smoke
Depends:
 @,
 python3-all,
 python3-django,
 python3-django-appconf,
 python3-ipy,
 python3-pytest-django
Restrictions: allow-stderr
